diff -x .svn -d -N -r -u observium-trunk/includes/definitions/os.inc.php observium-trunk-development/includes/definitions/os.inc.php
--- observium-trunk/includes/definitions/os.inc.php	2014-11-12 10:53:02.000000000 +1000
+++ observium-trunk-development/includes/definitions/os.inc.php	2014-11-12 21:11:50.000000000 +1000
@@ -2196,6 +2196,21 @@
 $config['os'][$os]['over'][1]['graph']  = "device_processor";
 $config['os'][$os]['over'][1]['text']   = "CPU Load";
 
+// Riverbed
+
+$os = "steelhead";
+$config['os'][$os]['text']              = "Riverbed Steelhead";
+$config['os'][$os]['type']              = "network";
+$config['os'][$os]['icon']              = "riverbed";
+$config['os'][$os]['sysObjectID'][]     = ".1.3.6.1.4.1.17163.1.1"; // Steelhead
+$config['os'][$os]['mibs'][]            = "RBT-MIB";
+$config['os'][$os]['mibs'][]            = "STEELHEAD-MIB";
+
+$os = "zeustm";
+$config['os'][$os]['text']              = "Riverbed Stingray";
+$config['os'][$os]['type']              = "network";
+$config['os'][$os]['icon']              = "riverbed";
+$config['os'][$os]['mibs'][]            = "ZXTM-MIB-SMIv2";
 
 foreach ($config['os'] as $this_os => $blah)
 {
diff -x .svn -d -N -r -u observium-trunk/includes/definitions/sensors.inc.php observium-trunk-development/includes/definitions/sensors.inc.php
--- observium-trunk/includes/definitions/sensors.inc.php	2014-11-12 10:53:02.000000000 +1000
+++ observium-trunk-development/includes/definitions/sensors.inc.php	2014-11-12 21:20:30.000000000 +1000
@@ -1,4 +1,4 @@
-<?php
+?php
 
 /**
  * Observium
@@ -351,4 +351,20 @@
 $config['ipmi_unit']['CFM']       = 'airflow';
 $config['ipmi_unit']['discrete']  = '';
 
+// STEELHEAD-MIB
+$config['sensor_states']['steelhead-system-state'][10000] = array('name' => 'healthy',          'event' => 'up');
+$config['sensor_states']['steelhead-system-state'][30000] = array('name' => 'degraded',         'event' => 'alert');
+$config['sensor_states']['steelhead-system-state'][31000] = array('name' => 'admissionControl', 'event' => 'alert');
+$config['sensor_states']['steelhead-system-state'][50000] = array('name' => 'critical',         'event' => 'alert');
+
+$config['sensor_states']['steelhead-service-state'][0] = array('name' => 'none',      'event' => 'ignore');
+$config['sensor_states']['steelhead-service-state'][1] = array('name' => 'unmanaged', 'event' => 'alert');
+$config['sensor_states']['steelhead-service-state'][2] = array('name' => 'running',   'event' => 'up');
+$config['sensor_states']['steelhead-service-state'][3] = array('name' => 'sentCom1',  'event' => 'ignore');
+$config['sensor_states']['steelhead-service-state'][4] = array('name' => 'sentTerm1', 'event' => 'ignore');
+$config['sensor_states']['steelhead-service-state'][5] = array('name' => 'sentTerm2', 'event' => 'ignore');
+$config['sensor_states']['steelhead-service-state'][6] = array('name' => 'sentTerm3', 'event' => 'ignore');
+$config['sensor_states']['steelhead-service-state'][7] = array('name' => 'pending',   'event' => 'ignore');
+$config['sensor_states']['steelhead-service-state'][8] = array('name' => 'stopped',   'event' => 'alert');
+
 // End includes/definitions/sensors.inc.php
diff -x .svn -d -N -r -u observium-trunk/includes/discovery/os/linux.inc.php observium-trunk-development/includes/discovery/os/linux.inc.php
--- observium-trunk/includes/discovery/os/linux.inc.php	2014-10-21 16:36:00.000000000 +1000
+++ observium-trunk-development/includes/discovery/os/linux.inc.php	2014-11-12 21:11:50.000000000 +1000
@@ -47,6 +47,13 @@
     if (strpos($checkpoint_osName, "SecurePlatform") !== FALSE) { $os = "splat"; }
     elseif (strpos($checkpoint_osName, "Gaia") !== FALSE) { $os = "gaia"; }
   }
+
+  if ($os == "linux")
+  {
+    // Riverbed SteelApp/Stingray appliances
+    $ztm_version = snmp_get($device, "1.3.6.1.4.1.7146.1.2.1.1.0", "-OQv", "", "");
+    if ($ztm_version != '') { $os = "zeustm"; }
+  }
 }
 
 // EOF
diff -x .svn -d -N -r -u observium-trunk/includes/discovery/sensors/steelhead-mib.inc.php observium-trunk-development/includes/discovery/sensors/steelhead-mib.inc.php
--- observium-trunk/includes/discovery/sensors/steelhead-mib.inc.php	1970-01-01 10:00:00.000000000 +1000
+++ observium-trunk-development/includes/discovery/sensors/steelhead-mib.inc.php	2014-11-12 21:41:10.000000000 +1000
@@ -0,0 +1,51 @@
+<?php
+
+/**
+ * Observium
+ *
+ *   This file is part of Observium.
+ *
+ * @package    observium
+ * @subpackage definitions
+ * @copyright  (C) 2006-2014 Adam Armstrong
+ *
+ */
+
+// .1.3.6.1.4.1.17163.1.1.2.7.0 STEELHEAD-MIB::systemHealth.0 = INTEGER: critical(50000)
+// .1.3.6.1.4.1.17163.1.1.2.8.0 STEELHEAD-MIB::optServiceStatus.0 = INTEGER: stopped(8)
+// .1.3.6.1.4.1.17163.1.1.2.9.0 STEELHEAD-MIB::systemTemperature.0 = Gauge32: 0
+
+echo(" STEELHEAD-MIB ");
+
+$oid = "1.3.6.1.4.1.17163.1.1.2.7.0";
+$value = state_string_to_numeric('steelhead-system-state', snmp_get($device, "systemHealth.0", "-Oqv", "STEELHEAD-MIB", mib_dirs('riverbed')));
+
+if (is_numeric($value) && $value > 0)
+{
+  $descr = "System Health";
+
+  discover_sensor($valid['sensor'], 'state', $device, $oid, "systemHealth.0", 'steelhead-system-state', $descr, NULL, $value, array('entPhysicalClass' => 'chassis'));
+}
+
+$oid = "1.3.6.1.4.1.17163.1.1.2.8.0";
+$value = state_string_to_numeric('steelhead-service-state', snmp_get($device, "optServiceStatus.0", "-Oqv", "STEELHEAD-MIB", mib_dirs('riverbed')));
+
+if (is_numeric($value) && $value > 0)
+{
+  $descr = "Service Status";
+
+  discover_sensor($valid['sensor'], 'state', $device, $oid, "optServiceStatus.0", 'steelhead-service-state', $descr, NULL, $value, array('entPhysicalClass' => 'other'));
+}
+
+$oid = "1.3.6.1.4.1.17163.1.1.2.9.0";
+$value = snmp_get($device, "systemTemperature.0", "-Oqv", "STEELHEAD-MIB", mib_dirs('riverbed'));
+
+if (is_numeric($value) && $value > 0)
+{
+  $descr = "System Temperature";
+
+  discover_sensor($valid['sensor'], 'temperature', $device, $oid, "systemTemperature.0", 'steelhead-mib', $descr, 1, $value);
+}
+
+// EOF
+
diff -x .svn -d -N -r -u observium-trunk/includes/polling/os/steelhead.inc.php observium-trunk-development/includes/polling/os/steelhead.inc.php
--- observium-trunk/includes/polling/os/steelhead.inc.php	1970-01-01 10:00:00.000000000 +1000
+++ observium-trunk-development/includes/polling/os/steelhead.inc.php	2014-11-12 21:13:04.000000000 +1000
@@ -0,0 +1,78 @@
+<?php
+
+/**
+ * Observium
+ *
+ *   This file is part of Observium.
+ *
+ * @package    observium
+ * @subpackage definitions
+ * @copyright  (C) 2006-2014 Adam Armstrong
+ *
+ */
+
+// OID's
+
+// STEELHEAD-MIB::serialNumber.0 = .1.3.6.1.4.1.17163.1.1.1.2.0
+// STEELHEAD-MIB::systemVersion.0 = .1.3.6.1.4.1.17163.1.1.1.3.0
+// STEELHEAD-MIB::model.0 = .1.3.6.1.4.1.17163.1.1.1.1.0
+// STEELHEAD-MIB::crlFeatureName.1 = .1.3.6.1.4.1.17163.1.1.2.11.1.1.2.1
+
+// RBT-MIB::products.51.1.1.0 = .1.3.6.1.4.1.17163.1.51.1.1.0
+// RBT-MIB::products.51.1.2.0 = .1.3.6.1.4.1.17163.1.51.1.2.0
+// RBT-MIB::products.51.1.3.0 = .1.3.6.1.4.1.17163.1.51.1.3.0
+// RBT-MIB::products.51.2.11.1.1.2.1 = .1.3.6.1.4.1.17163.1.51.2.11.1.1.2.1
+
+// Example Content
+
+// STEELHEAD-MIB::model.0 = STRING: "Virtual (V150M)"
+// STEELHEAD-MIB::serialNumber.0 = STRING: "VC1RT000EC304"
+// STEELHEAD-MIB::systemVersion.0 = STRING: "rbt_sh 8.6.1 #60 2014-08-20 00:41:02 x86_64 uuid:4d69c1d7-2709-4325-8328-00f4e67d6807"
+// STEELHEAD-MIB::systemClock.0 = STRING: 2014-11-6,20:56:50.0,+0:0
+// STEELHEAD-MIB::health.0 = STRING: "Critical"
+// STEELHEAD-MIB::serviceStatus.0 = STRING: "stopped"
+
+// STEELHEAD-MIB::model.0 = STRING: "1050 (1050L)"
+// STEELHEAD-MIB::serialNumber.0 = STRING: "%{SERIAL}%"
+// STEELHEAD-MIB::systemVersion.0 = STRING: "rbt_sh 6.5.4a #147_24 2012-03-05 16:48:17 x86_64 root@palermo0:svn://svn/mgmt/branches/canary_147_fix_branch"
+// STEELHEAD-MIB::systemVersion.0 = STRING: "rbt_sh 7.0.5d #529_80 2013-03-28 17:31:15 x86_64 root@poznan:svn://svn/mgmt/branches/malta_529_fix_branch"
+// STEELHEAD-MIB::systemVersion.0 = STRING: "rbt_sh 7.0.5d #529_80 2013-03-28 17:31:15 x86_64 root@poznan:svn://svn/mgmt/branches/malta_529_fix_branch"
+// RBT-MIB::products.51.1.3.0 = STRING: "rbt_ex 2.0.0 #149_21 2012-11-12 16:57:32 x86_64 root@spade:svn://svn/build/branches/lanai-ex_149_fix_branch"
+// STEELHEAD-MIB::crlFeatureName.1 = STRING: "SSL_CAs"
+// STEELHEAD-MIB::crlFeatureName.2 = STRING: "SSL_Peering_CAs"
+
+// RBT-MIB::products.51.1.1.0 = STRING: "EX560 (EX560H)"
+// RBT-MIB::products.51.1.2.0 = STRING: "%{SERIAL}%"
+// RBT-MIB::products.51.1.3.0 = STRING: "rbt_ex 2.0.0 #149_21 2012-11-12 16:57:32 x86_64 root@spade:svn://svn/build/branches/lanai-ex_149_fix_branch"
+// RBT-MIB::products.51.2.11.1.1.2.1 = STRING: "SSL_CAs"
+// RBT-MIB::products.51.2.11.1.1.2.2 = STRING: "SSL_Peering_CAs"
+
+// CX models, most common
+$serial = trim(snmp_get($device, "1.3.6.1.4.1.17163.1.1.1.2.0", "-OQv", "STEELHEAD-MIB", ""),'" ');
+$model_oid = '1.3.6.1.4.1.17163.1.1.1.1.0';
+$version_oid = '1.3.6.1.4.1.17163.1.1.1.3.0';
+
+if ($serial == '')
+{
+  $serial = trim(snmp_get($device, "1.3.6.1.4.1.17163.1.51.1.2.0", "-OQv", "STEELHEAD-MIB", ""),'" ');
+  $model_oid = '1.3.6.1.4.1.17163.1.51.1.1.0';
+  $version_oid = '1.3.6.1.4.1.17163.1.51.1.3.0';
+}
+
+if ($serial != '')
+{
+  if (preg_match('/^(rbt[a-zA-Z_\-]+) ([a-zA-Z\.\-_0-9]+) (.*)/', trim(snmp_get($device, $version_oid, "-OQv", "STEELHEAD-MIB", ""),'" '), $regexp_result))
+  {
+    $version = $regexp_result[2];
+  }
+
+  $hardware = trim(snmp_get($device, $model_oid, "-OQv", "STEELHEAD-MIB", ""),'" ');
+  if (preg_match('/([a-zA-Z0-9\.\-_]+) \(([a-zA-Z0-9\.\-_]+)\)/', $hardware, $regexp_result))
+  {
+    $hardware = $regexp_result[2];
+  }
+}
+
+// TODO: $features = '';
+
+// EOF
diff -x .svn -d -N -r -u observium-trunk/includes/polling/os/zeustm.inc.php observium-trunk-development/includes/polling/os/zeustm.inc.php
--- observium-trunk/includes/polling/os/zeustm.inc.php	1970-01-01 10:00:00.000000000 +1000
+++ observium-trunk-development/includes/polling/os/zeustm.inc.php	2014-11-12 21:13:21.000000000 +1000
@@ -0,0 +1,17 @@
+<?php
+
+/**
+ * Observium
+ *
+ *   This file is part of Observium.
+ *
+ * @package    observium
+ * @subpackage definitions
+ * @copyright  (C) 2006-2014 Adam Armstrong
+ *
+ */
+
+$platform = 'ZeusTM';
+$version = trim(snmp_get($device, "1.3.6.1.4.1.7146.1.2.1.1.0", "-OQv", "", ""),'" ');
+
+// EOF
diff -x .svn -d -N -r -u observium-trunk/mibs/riverbed/STEELHEAD-MIB observium-trunk-development/mibs/riverbed/STEELHEAD-MIB
--- observium-trunk/mibs/riverbed/STEELHEAD-MIB	2014-10-15 12:37:24.000000000 +1000
+++ observium-trunk-development/mibs/riverbed/STEELHEAD-MIB	2014-11-12 21:11:50.000000000 +1000
@@ -7,40 +7,20 @@
     products FROM RBT-MIB;
 
 steelhead MODULE-IDENTITY
-          LAST-UPDATED        "201111180000Z"
+          LAST-UPDATED        "201401070000Z"
           ORGANIZATION        "Riverbed Technology, Inc."
           CONTACT-INFO
           "  Riverbed Technical Support
              support@riverbed.com"
           DESCRIPTION         "Steelhead MIB"
-          REVISION            "201111180000Z"
-          DESCRIPTION         "Added cluster alerts"
-          REVISION            "201110140000Z"
-          DESCRIPTION         "Added node for upgrade failed trap"
-          REVISION            "201110120000Z"
-          DESCRIPTION         "Added notification node for optimization service error"
-          REVISION            "201109270000Z"
-          DESCRIPTION         "Added asymRouteCount node for asymmetric route error"
-          REVISION            "201109190000Z"
-          DESCRIPTION         "Deprecated node dsCostPerSegment"
-          REVISION            "201105160000Z"
-          DESCRIPTION         "Added notification node for flash error"
-          REVISION            "201011020000Z"
-          DESCRIPTION         "Updated descriptions of nodes admissionCpuError and admissionTcpError"
-          REVISION            "201010270000Z"
-          DESCRIPTION         "Added notification node for lan-wan loop error"
-          REVISION            "201010220000Z"
-          DESCRIPTION         "Added monitor node for average disk utilization"
-          REVISION            "201010180000Z"
-          DESCRIPTION         "Added neighborIncompatibility trap"
-          REVISION            "201009170000Z"
-          DESCRIPTION         "Added SH capability status"
-          REVISION            "201002110000Z"
-          DESCRIPTION         "Added 64-bit counters for bandwidth"
-          REVISION            "200910120000Z"
-          DESCRIPTION         "Updated contact information"
-          REVISION            "200908260000Z"
-          DESCRIPTION         "Riverbed Steelhead 6.0 Revisions"
+          REVISION            "201401070000Z"
+          DESCRIPTION         "Connection forwarding cluster incompatible trap"
+          REVISION            "201301250000Z"
+          DESCRIPTION         "Corrections in descriptions of some traps"
+          REVISION            "201210170000Z"
+          DESCRIPTION         "Added trap for CF Peer IPv6 incompatible alarm"
+          REVISION            "201202030000Z"
+          DESCRIPTION         "Updated for 7.0.1"
           ::= { products 1 }
 
 system OBJECT IDENTIFIER
@@ -88,6 +68,8 @@
         "System software version string"
     ::= { system 3 }
 
+
+
 --
 --
 -- STATUS
@@ -818,7 +800,7 @@
     MAX-ACCESS  read-only
     STATUS      current
     DESCRIPTION
-            "Maximum possible connections through this Steelhead"
+            "Maximum possible connections through this appliance"
     ::= { capabilityStatus 1 } 
 
 shMaxBandwidth OBJECT-TYPE
@@ -826,7 +808,7 @@
     MAX-ACCESS  read-only
     STATUS      current
     DESCRIPTION
-            "Maximum possible bandwidth for this Steelhead"
+            "Maximum possible bandwidth for this appliance"
     ::= { capabilityStatus 2 }
 
 asymRouteCount OBJECT-TYPE
@@ -836,7 +818,9 @@
     DESCRIPTION
             "Number of Asymmetric Routes"
     ::= { status 14 }
- 
+
+
+
 --
 --
 -- CONFIG
@@ -892,6 +876,8 @@
             "Datastore Sync Address"
     ::= { datastoreSync 2 }
 
+
+
 --
 --
 -- ALARMS
@@ -916,6 +902,7 @@
     DESCRIPTION
             "A procExit trap signifies that a process managed by PM
             has exited unexpectedly, but not left a core file.
+
             The variable sent with the notification indicates 
             which process exited."
     ::= { alarmsPrefix 2 }
@@ -1028,7 +1015,7 @@
     ::= { alarmsPrefix 19 }
 
 asymRouteError NOTIFICATION-TYPE
-    OBJECTS { arcount }
+    OBJECTS { asymRouteCount }
     STATUS current
     DESCRIPTION
             "Asymmetric routes have been detected,certain connections might
@@ -1274,7 +1261,7 @@
 licenseError NOTIFICATION-TYPE
     STATUS  current
     DESCRIPTION
-            "The main Steelhead license has expired, been removed, or become invalid"
+            "The main Appliance license has expired, been removed, or become invalid"
     ::= { alarmsPrefix 57 }
 
 hardwareError NOTIFICATION-TYPE
@@ -1310,13 +1297,14 @@
 lanWanLoopError NOTIFICATION-TYPE
     STATUS current
     DESCRIPTION
-            "LAN-WAN loop detected. System will not optimize new connections untill this error is cleared"
+            "LAN-WAN loop detected. System will not optimize new connections un
+til this error is cleared"
     ::= { alarmsPrefix 63 }
 
 optimizationServiceStatusError NOTIFICATION-TYPE
     STATUS current
     DESCRIPTION
-            "Optimization service currently not optimizing any connecntions."
+            "Optimization service currently not optimizing any connections."
     ::= { alarmsPrefix 64 }
 
 upgradeFailure NOTIFICATION-TYPE
@@ -1328,7 +1316,8 @@
 licenseExpiring NOTIFICATION-TYPE
     STATUS current
     DESCRIPTION
-            "One or more licensed features will expire within the next two weeks"
+            "One or more licensed features will expire within the next two week
+s"
     ::= { alarmsPrefix 66 }
 
 licenseExpired NOTIFICATION-TYPE
@@ -1343,6 +1332,66 @@
             "A cluster Steelhead has been reported as disconnected"
     ::= { alarmsPrefix 68 }
 
+smbAlert NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "Domain authentication alert"
+    ::= { alarmsPrefix 69 }
+
+linkDuplex NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "An interface on the appliance is in half-duplex mode"
+    ::= { alarmsPrefix 70 }
+
+linkIoErrors NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "An interface on the appliance is suffering I/O errors"
+    ::= { alarmsPrefix 71 }
+
+storageProfSwitchFailed NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "Storage profile switch failed"
+    ::= { alarmsPrefix 73 }
+
+clusterIpv6IncompatiblePeerError NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "A cluster Steelhead has been reported as IPv6 incompatible"
+    ::= { alarmsPrefix 74 }
+
+flashProtectionFailed NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "Flash disk hasn't been backed up due to no enough free space on /var filesystem"
+    ::= { alarmsPrefix 75 }
+
+datastoreNeedClean NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "The data store needs to be cleaned"
+    ::= { alarmsPrefix 76 }
+
+pathSelectionPathDown NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "Path Selection - A path went down"
+    ::= { alarmsPrefix 77 }
+
+clusterNeighborIncompatibleError NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "A cluster Steelhead has been reported as incompatible"
+    ::= { alarmsPrefix 80 }
+
+pathSelectionPathProbingError NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "Path Selection - At least one path has probing error"
+    ::= { alarmsPrefix 81 }
+
 cpuUtilClear NOTIFICATION-TYPE
     STATUS  current
     DESCRIPTION
@@ -1472,8 +1521,8 @@
      OBJECTS { neighborAddress }
      STATUS current
      DESCRIPTION
-             "Connection restablished after a prior termination due to
-              receiving end of strem from the specified neighbor" 
+             "Connection reestablished after a prior termination due to
+              receiving end of stream from the specified neighbor" 
      ::= { alarmsPrefix 1029 }
 
 cfConnLostErrClear NOTIFICATION-TYPE
@@ -1579,7 +1628,7 @@
 licenseErrorClear NOTIFICATION-TYPE
     STATUS  current
     DESCRIPTION
-            "The main Steelhead license error has been cleared"
+            "The main appliance license error has been cleared"
     ::= { alarmsPrefix 1057 }
 
 hardwareErrorClear NOTIFICATION-TYPE
@@ -1615,20 +1664,22 @@
 lanWanLoopClear NOTIFICATION-TYPE
     STATUS  current
     DESCRIPTION
-            "LAN-WAN loop error cleared. System will resume to optimize connections."
+            "LAN-WAN loop error cleared. System will resume to optimize connect
+ions."
     ::= { alarmsPrefix 1063 }
-
+ 
 optimizationServiceStatusClear NOTIFICATION-TYPE
     STATUS  current
     DESCRIPTION
-            "Optimization Service error cleared. System will resume to optimize connections."
+            "Optimization Service error cleared. System will resume to optimize
+ connections."
     ::= { alarmsPrefix 1064 }
-
+ 
 upgradeFailureClear NOTIFICATION-TYPE
     STATUS current
     DESCRIPTION
-            "Upgrade failure cleared and the system is still running the "
-            "previous image"
+            "Upgrade failure cleared and the system is still running
+             the previous image"
     ::= { alarmsPrefix 1065 }
 
 clusterDisconnectedSHAlertClear NOTIFICATION-TYPE
@@ -1637,6 +1688,76 @@
             "All cluster Steelheads are currently connected"
     ::= { alarmsPrefix 1068 }
 
+smbAlertClear NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "Domain authentication alert has been cleared"
+    ::= { alarmsPrefix 1069 }
+
+linkDuplexClear NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "An interface on the appliance has cleared the half-duplex error"
+    ::= { alarmsPrefix 1070 }
+
+linkIoErrorsClear NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "An interface on the appliance has cleared the I/O errors state"
+    ::= { alarmsPrefix 1071  }
+
+clusterIpv6IncompatiblePeerClear NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "All cluster Steelheads are IPv6 compatible"
+    ::= { alarmsPrefix 1074 }
+
+pathSelectionPathDownClear NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "Path Selection - A path came back up"
+    ::= { alarmsPrefix 1077 }
+
+clusterNeighborIncompatibleClear NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "All cluster Steelheads are compatible"
+    ::= { alarmsPrefix 1080 }
+
+pathSelectionPathProbingErrorClear NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "Path Selection - No paths have probing errors"
+    ::= { alarmsPrefix 1081 }
+
+
+
+
+rspGeneralError NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "RSP general alarm is triggered."
+    ::= { alarmsPrefix 20001 }
+
+rspServiceError NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "RSP service alarm is triggered."
+    ::= { alarmsPrefix 20002 }
+
+rspGeneralClear NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "RSP general alarm cleared."
+    ::= { alarmsPrefix 21001 }
+
+rspServiceClear NOTIFICATION-TYPE
+    STATUS  current
+    DESCRIPTION
+            "RSP service alarm cleared."
+    ::= { alarmsPrefix 21002 }
+
+
 --
 --
 -- STATISTICS
@@ -2331,5 +2452,8 @@
         "Optimized bytes in the LAN to WAN direction since last restart of 
          service, as measured on the WAN side"
     ::= { bwHCPortEntry 5 }
+
+
+
 END
 
